curl --request PATCH \ --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source": "Workday", "data": { "job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software." }}'
import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}"
payload = {
"source": "Workday",
"data": { "job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software." }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'Workday',
data: {
job_family_description: 'Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.'
}
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'Workday',
'data' => [
'job_family_description' => 'Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}"
payload := strings.NewReader("{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}"
response = http.request(request)
puts response.read_body
[ { "title": "401 Unauthorized", "description": "OAuth access token is missing, invalid or expired." }]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
Job Family Profile Data
Update Job Family Profile Data
Update Profile Data for a Job Family.
Update Job Family Profile Data
curl --request PATCH \ --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source": "Workday", "data": { "job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software." }}'
import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}"
payload = {
"source": "Workday",
"data": { "job_family_description": "Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software." }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'Workday',
data: {
job_family_description: 'Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.'
}
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'Workday',
'data' => [
'job_family_description' => 'Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}"
payload := strings.NewReader("{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"Workday\",\n \"data\": {\n \"job_family_description\": \"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.\"\n }\n}"
response = http.request(request)
puts response.read_body
[ { "title": "401 Unauthorized", "description": "OAuth access token is missing, invalid or expired." }]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
Unique ID linked to a Job Family, consisting of alphanumeric characters, hyphens and underscores.
Note: It may take some time for these changes to be reflected in the Job Family's final Skill Profile, since they are processed asynchronously.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Unique ID linked to Job Family Profile Data, consisting of alphanumeric characters, hyphens and underscores.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
The content of the Job Family Profile Data. The content should align with the original data_type assigned to this Profile Data.
job_family_description_content
job_family_description_file_content
Show child attributes
Response
No Content
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"TechWolf Developer Portal","colors":{"primary":"#000000","light":"#F5F5F5","dark":"#8997F9"},"logo":{"light":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9","dark":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-dark.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=3e2f5e60e21a12eabd092fde29a29434"},"favicon":"https://mintcdn.com/techwolf/O6Ad9BPC00x-v0KV/favicon.svg?fit=max\u0026auto=format\u0026n=O6Ad9BPC00x-v0KV\u0026q=85\u0026s=dc5fac3e8ad4b016d838af70c4f21dc5","api":{"playground":{"display":"none"}},"navbar":{"links":[{"href":"mailto:support@techwolf.ai","label":"Support"}],"primary":{"type":"button","label":"Request a demo","href":"https://techwolf.com/callform"}},"footer":{"socials":{"facebook":"https://www.facebook.com/techwolf.eu","x":"https://x.com/techwolfbe","instagram":"https://www.instagram.com/techwolf.ai?hl=en","linkedin":"https://linkedin.com/company/techwolf"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"techwolf","hasAudioNarration":false,"actualSubdomain":"techwolf","customDomains":["developers.techwolf.ai"],"gitSource":{"type":"gitlab","owner":"techwolfbe/skillengine-api","repo":"skillengine-api-openapi-docs","projectId":19681689,"deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae35bf053dfbd884fd30bc5","collectionId":"e56611cc-460d-4561-9949-335e375ae843","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae35bf053dfbd884fd30bc5"},"feedback":{"edits":true,"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae35bf053dfbd884fd30bc5","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":253},{"language":"default","tag":"Integrations","count":106},{"language":"default","tag":"Tutorials","count":54},{"language":"default","tag":"CRUD","count":47},{"language":"default","tag":"Employees","count":39},{"language":"default","tag":"Jobs","count":39},{"language":"default","tag":"Entity Sync","count":36},{"language":"default","tag":"Taxonomy","count":35},{"language":"default","tag":"Matchmaking","count":33},{"language":"default","tag":"Export","count":27}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".max-w-8xl{max-width:100vw}th{text-align:left}"}],"page":{"pagePath":"reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id","slug":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id","pageMetadata":{"title":"Update Job Family Profile Data","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","description":"Update Profile Data for a Job Family.","href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update Profile Data for a Job Family.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Job Family Profile Data","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","description":"Update Profile Data for a Job Family.","href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/techwolf/17802b7b2cc53972/snippets/open-source-fetch.js"],"openApiReferenceData":{"operation":{"tags":["Job Family Profile Data"],"summary":"Update Job Family Profile Data","description":"Update Profile Data for a Job Family.","security":["41b5718c-0c76-42e7-9c51-8abf98c66785"],"parameters":["e1c06250-bab0-4e58-9a32-5f4b0ec134c4","d7b54662-d514-49b6-9726-0a264edf8fad","baa730d1-cacf-443f-ad95-6ae7248b753e"],"requestBody":"fc55ab38-b3d6-4385-b086-a59ed0249107","responses":{"204":"ddaf5352-a310-49e1-9d2a-56054b59579e","401":"2c256b3b-4a38-4590-bbe5-1c0b71b717c4","403":"dc497298-07ce-4088-bf22-675a032ac01b","404":"663d626e-be70-425b-9df5-a19e7e1e851c","405":"7e65c2fa-a74e-4925-81dd-7a2c9d217eb2","429":"3fc8e88a-522c-451c-becd-00151fd0bd1b","503":"b1cbf4df-689e-4a88-95d9-04075408cf7f"},"method":"patch","type":"path","servers":["8ea11752-85e6-40e2-ba23-aa86044482d7"],"path":"/job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","baseUrlOptions":["https://{tenant_name}.{region}.techwolf.ai"],"title":"Update Job Family Profile Data","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e1c06250-bab0-4e58-9a32-5f4b0ec134c4":{"in":"path","name":"job_family_external_id","required":true,"description":"Unique ID linked to a Job Family, consisting of alphanumeric characters, hyphens and underscores.\n\n**Note:** It may take some time for these changes to be reflected in the Job Family's final Skill Profile, since they are processed asynchronously.","schema":{"type":"string","format":"uuid","minLength":1,"maxLength":100,"example":"a3903505-eb84-42dc-a79f-5e7b1fe897b7","description":"Unique ID linked to a Job Family, consisting of alphanumeric characters, hyphens and underscores.\n\n**Note:** It may take some time for these changes to be reflected in the Job Family's final Skill Profile, since they are processed asynchronously.\nThe unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.","pattern":"[a-zA-Z0-9_-]+","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}},"d7b54662-d514-49b6-9726-0a264edf8fad":{"in":"path","name":"job_family_profile_data_external_id","required":true,"description":"Unique ID linked to Job Family Profile Data, consisting of alphanumeric characters, hyphens and underscores.","schema":{"type":"string","format":"uuid","minLength":1,"maxLength":100,"example":"a3903505-eb84-42dc-a79f-5e7b1fe897b7","description":"Unique ID linked to Job Family Profile Data, consisting of alphanumeric characters, hyphens and underscores.\nThe unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.","pattern":"[a-zA-Z0-9_-]+","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}},"baa730d1-cacf-443f-ad95-6ae7248b753e":{"in":"query","name":"language","required":true,"schema":{"type":"string","enum":["auto","nl","fr","en","de"],"example":"en","isRequired":true,"description":"The language of the input data, which has an impact on the Skill extraction. `auto` will automatically detect the language used in the provided data.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The language of the input data, which has an impact on the Skill extraction. `auto` will automatically detect the language used in the provided data."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"description":"Update structure of Job Family Profile Data.","type":"object","properties":{"source":{"description":"The source of the Job Family Profile Data.","type":"string","minLength":1,"maxLength":255,"example":"Workday","uniqueKey":"source","typeLabel":"string"},"data":{"oneOf":[{"type":"object","title":"job_family_description_content","description":"The content of the Job Family Profile Data. The content should align with the original `data_type` assigned to this Profile Data.","required":["job_family_description"],"properties":{"job_family_description":{"type":"string","example":"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software.","minLength":1,"description":"Textual description of the Job Family.","isRequired":true,"uniqueKey":"data.oneOf.0.job_family_description","typeLabel":"string"}},"uniqueKey":"data.oneOf.0","typeLabel":"job_family_description_content · object"},{"type":"object","title":"job_family_description_file_content","description":"The content of the Job Family Profile Data. The content should align with the original `data_type` assigned to this Profile Data.","required":["mimeType","base64Content"],"example":{"mimeType":"application/pdf","base64Content":"JVBERi0xLjMNCiXi48/TDQoNCjEgMCBvYmoNCjw8DQovVHlwZSAvQ2F0YWxvZw0KL091dGxpbmVzIDIgMCBSDQovUGFnZXMgMyAwIFINCj4+DQplbmRvYmoNCg0KMiAwIG9iag0KPDwNCi9UeXBlIC9PdXRsaW5lcw0KL0NvdW50IDANCj4+DQplbmRvYmoNCg0KMyAwIG9iag0KPDwNCi9UeXBlIC9QYWdlcw0KL0NvdW50IDINCi9LaWRzIFsgNCAwIFIgNiAwIFIgXSANCj4+DQplbmRvYmoNCg0KNCAwIG9iag0KPDwNCi9UeXBlIC9QYWdlDQovUGFyZW50IDMgMCBSDQovUmVzb3VyY2VzIDw8DQovRm9udCA8PA0KL0YxIDkgMCBSIA0KPj4NCi9Qcm9jU2V0IDggMCBSDQo+Pg0KL01lZGlhQm94IFswIDAgNjEyLjAwMDAgNzkyLjAwMDBdDQovQ29udGVudHMgNSAwIFINCj4+DQplbmRvYmoNCg0KNSAwIG9iag0KPDwgL0xlbmd0aCAxMDc0ID4+DQpzdHJlYW0NCjIgSg0KQlQNCjAgMCAwIHJnDQovRjEgMDAyNyBUZg0KNTcuMzc1MCA3MjIuMjgwMCBUZA0KKCBBIFNpbXBsZSBQREYgRmlsZSApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY4OC42MDgwIFRkDQooIFRoaXMgaXMgYSBzbWFsbCBkZW1vbnN0cmF0aW9uIC5wZGYgZmlsZSAtICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjY0LjcwNDAgVGQNCigganVzdCBmb3IgdXNlIGluIHRoZSBWaXJ0dWFsIE1lY2hhbmljcyB0dXRvcmlhbHMuIE1vcmUgdGV4dC4gQW5kIG1vcmUgKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NTIuNzUyMCBUZA0KKCB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDYyOC44NDgwIFRkDQooIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjE2Ljg5NjAgVGQNCiggdGV4dC4gQW5kIG1vcmUgdGV4dC4gQm9yaW5nLCB6enp6ei4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjA0Ljk0NDAgVGQNCiggbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDU5Mi45OTIwIFRkDQooIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNTY5LjA4ODAgVGQNCiggQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA1NTcuMTM2MCBUZA0KKCB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBFdmVuIG1vcmUuIENvbnRpbnVlZCBvbiBwYWdlIDIgLi4uKSBUag0KRVQNCmVuZHN0cmVhbQ0KZW5kb2JqDQoNCjYgMCBvYmoNCjw8DQovVHlwZSAvUGFnZQ0KL1BhcmVudCAzIDAgUg0KL1Jlc291cmNlcyA8PA0KL0ZvbnQgPDwNCi9GMSA5IDAgUiANCj4+DQovUHJvY1NldCA4IDAgUg0KPj4NCi9NZWRpYUJveCBbMCAwIDYxMi4wMDAwIDc5Mi4wMDAwXQ0KL0NvbnRlbnRzIDcgMCBSDQo+Pg0KZW5kb2JqDQoNCjcgMCBvYmoNCjw8IC9MZW5ndGggNjc2ID4+DQpzdHJlYW0NCjIgSg0KQlQNCjAgMCAwIHJnDQovRjEgMDAyNyBUZg0KNTcuMzc1MCA3MjIuMjgwMCBUZA0KKCBTaW1wbGUgUERGIEZpbGUgMiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY4OC42MDgwIFRkDQooIC4uLmNvbnRpbnVlZCBmcm9tIHBhZ2UgMS4gWWV0IG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NzYuNjU2MCBUZA0KKCBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY2NC43MDQwIFRkDQooIHRleHQuIE9oLCBob3cgYm9yaW5nIHR5cGluZyB0aGlzIHN0dWZmLiBCdXQgbm90IGFzIGJvcmluZyBhcyB3YXRjaGluZyApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY1Mi43NTIwIFRkDQooIHBhaW50IGRyeS4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NDAuODAwMCBUZA0KKCBCb3JpbmcuICBNb3JlLCBhIGxpdHRsZSBtb3JlIHRleHQuIFRoZSBlbmQsIGFuZCBqdXN0IGFzIHdlbGwuICkgVGoNCkVUDQplbmRzdHJlYW0NCmVuZG9iag0KDQo4IDAgb2JqDQpbL1BERiAvVGV4dF0NCmVuZG9iag0KDQo5IDAgb2JqDQo8PA0KL1R5cGUgL0ZvbnQNCi9TdWJ0eXBlIC9UeXBlMQ0KL05hbWUgL0YxDQovQmFzZUZvbnQgL0hlbHZldGljYQ0KL0VuY29kaW5nIC9XaW5BbnNpRW5jb2RpbmcNCj4+DQplbmRvYmoNCg0KMTAgMCBvYmoNCjw8DQovQ3JlYXRvciAoUmF2ZSBcKGh0dHA6Ly93d3cubmV2cm9uYS5jb20vcmF2ZVwpKQ0KL1Byb2R1Y2VyIChOZXZyb25hIERlc2lnbnMpDQovQ3JlYXRpb25EYXRlIChEOjIwMDYwMzAxMDcyODI2KQ0KPj4NCmVuZG9iag0KDQp4cmVmDQowIDExDQowMDAwMDAwMDAwIDY1NTM1IGYNCjAwMDAwMDAwMTkgMDAwMDAgbg0KMDAwMDAwMDA5MyAwMDAwMCBuDQowMDAwMDAwMTQ3IDAwMDAwIG4NCjAwMDAwMDAyMjIgMDAwMDAgbg0KMDAwMDAwMDM5MCAwMDAwMCBuDQowMDAwMDAxNTIyIDAwMDAwIG4NCjAwMDAwMDE2OTAgMDAwMDAgbg0KMDAwMDAwMjQyMyAwMDAwMCBuDQowMDAwMDAyNDU2IDAwMDAwIG4NCjAwMDAwMDI1NzQgMDAwMDAgbg0KDQp0cmFpbGVyDQo8PA0KL1NpemUgMTENCi9Sb290IDEgMCBSDQovSW5mbyAxMCAwIFINCj4+DQoNCnN0YXJ0eHJlZg0KMjcxNA0KJSVFT0YNCg=="},"properties":{"mimeType":{"type":"string","enum":["application/pdf","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","text/plain"],"isRequired":true,"uniqueKey":"data.oneOf.1.mimeType","typeLabel":"enum\u003cstring>"},"base64Content":{"type":"string","format":"byte","minLength":1,"isRequired":true,"uniqueKey":"data.oneOf.1.base64Content","typeLabel":"string\u003cbyte>"}},"uniqueKey":"data.oneOf.1","typeLabel":"job_family_description_file_content · object"}],"uniqueKey":"data","typeLabel":"job_family_description_content · object | job_family_description_file_content · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"source":"Workday","data":{"job_family_description":"Software engineers are responsible for designing, developing, and testing software. They are involved in the entire software development process, from the initial specification of requirements to the final release of the software."}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ddaf5352-a310-49e1-9d2a-56054b59579e":{"description":"No Content","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"2c256b3b-4a38-4590-bbe5-1c0b71b717c4":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}]}},"exampleType":"generated"}},"exampleType":"generated"},"dc497298-07ce-4088-bf22-675a032ac01b":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"403 Forbidden","description":"You don't have access to this resource."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"403 Forbidden","description":"You don't have access to this resource."}]}},"exampleType":"generated"}},"exampleType":"generated"},"663d626e-be70-425b-9df5-a19e7e1e851c":{"description":"Not Found","content":{"application/json":{"schema":{"title":"Not Found","type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"404 Not Found","description":"Unknown external_id describing this resource. Please create this resource first."}],"uniqueKey":"","typeLabel":"Not Found · object"},"examples":{"Example":{"title":"Example","value":[{"title":"404 Not Found","description":"Unknown external_id describing this resource. Please create this resource first."}]}},"exampleType":"generated"}},"exampleType":"generated"},"7e65c2fa-a74e-4925-81dd-7a2c9d217eb2":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}]}},"exampleType":"generated"}},"exampleType":"generated"},"3fc8e88a-522c-451c-becd-00151fd0bd1b":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"type":"string","example":"max connections reached: \u003climit>","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"max connections reached: \u003climit>"}},"exampleType":"generated"}},"exampleType":"generated"},"b1cbf4df-689e-4a88-95d9-04075408cf7f":{"description":"Service Unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}]}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"41b5718c-0c76-42e7-9c51-8abf98c66785":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"}}},"servers":{"8ea11752-85e6-40e2-ba23-aa86044482d7":{"description":"Skill Engine API","url":"https://{tenant_name}.{region}.techwolf.ai","variables":{"tenant_name":{"default":"tenant_name"},"region":{"default":"eu3","enum":["eu3","us3"]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"application","name":"Authorization"}],"title":"application"}]},"originalFileLocation":"reference/openapi.json"},"subdomain":"techwolf","siteName":"TechWolf Developer Portal","title":"Update Job Family Profile Data - TechWolf Developer Portal","navMaps":{"firstHrefInVersion":{"latest":{"href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-01-28T13:20:46.606Z","originalFileLocation":"reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update Profile Data for a Job Family.\">\u003cmeta data-mint-head name=\"application-name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Job Family Profile Data - TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update Profile Data for a Job Family.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.techwolf.ai/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://techwolf.mintlify.app/_mintlify/api/og/v2?division=Job+Family+Profile+Data\u0026amp;title=Update+Job+Family+Profile+Data\u0026amp;description=Update+Profile+Data+for+a+Job+Family.\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=5ce73ab9e263594b24d0731e72564b27453ba553fb2f2cb30b69071f6e6cd718\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Job Family Profile Data - TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update Profile Data for a Job Family.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://techwolf.mintlify.app/_mintlify/api/og/v2?division=Job+Family+Profile+Data\u0026amp;title=Update+Job+Family+Profile+Data\u0026amp;description=Update+Profile+Data+for+a+Job+Family.\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=5ce73ab9e263594b24d0731e72564b27453ba553fb2f2cb30b69071f6e6cd718\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.techwolf.ai/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.techwolf.ai/#organization\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.techwolf.ai#website\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id#webpage\",\"url\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id\",\"name\":\"Update Job Family Profile Data\",\"description\":\"Update Profile Data for a Job Family.\",\"dateModified\":\"2026-01-28T13:20:46.606Z\",\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"},\"breadcrumb\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Job Families\",\"item\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/JobFamilyCRUD/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Job Family Profile Data\",\"item\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update Job Family Profile Data\",\"item\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id#apireference\",\"headline\":\"Update Job Family Profile Data\",\"name\":\"Update Job Family Profile Data\",\"description\":\"Update Profile Data for a Job Family.\",\"url\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id\",\"mainEntityOfPage\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Job%20Families/Job%20Family%20Profile%20Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id#webpage\"},\"dateModified\":\"2026-01-28T13:20:46.606Z\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"TechWolf Developer Portal\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"TechWolf Developer Portal","nav":{"global":null,"versions":[{"version":"latest","default":true,"tabs":[{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/reference/latest/API Documentation/Introduction/Introduction"},{"title":"Authentication","href":"/reference/latest/API Documentation/Authentication/Authentication"}]},{"group":"API Versioning","pages":[{"title":"Versioning Overview","href":"/reference/latest/API Versioning/Versioning Overview/Versioning Overview"},{"title":"Breaking Changes","href":"/reference/latest/API Versioning/Breaking Changes/Breaking Changes"},{"title":"Deprecations","href":"/reference/latest/API Versioning/Deprecations/Deprecations"},{"title":"Compatible Changes","href":"/reference/latest/API Versioning/Compatible Changes/Compatible Changes"}]},{"group":"AI Integration","pages":[{"title":"AI Integration","href":"/reference/ai-integration"}]},{"group":"Taxonomy","pages":[{"group":"Domains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomyDomains/overview"},{"title":"List Domains","openapi":"GET /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains"},{"title":"Create Domain","openapi":"POST /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/post-taxonomy-domains"},{"title":"Get Domain","openapi":"GET /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains-domain-external-id"},{"title":"Update Domain","openapi":"PATCH /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/patch-taxonomy-domains-domain-external-id"},{"title":"Delete Domain","openapi":"DELETE /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/delete-taxonomy-domains-domain-external-id"}]},{"group":"Subdomains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySubdomains/overview"},{"title":"List Subdomains","openapi":"GET /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains"},{"title":"Create Subdomain","openapi":"POST /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/post-taxonomy-subdomains"},{"title":"Get Subdomain","openapi":"GET /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains-subdomain-external-id"},{"title":"Update Subdomain","openapi":"PATCH /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/patch-taxonomy-subdomains-subdomain-external-id"},{"title":"Delete Subdomain","openapi":"DELETE /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/delete-taxonomy-subdomains-subdomain-external-id"}]},{"group":"Skill Clusters","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/overview"},{"title":"List Skill Clusters","openapi":"GET /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters"},{"title":"Create Skill Cluster","openapi":"POST /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/post-taxonomy-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Update Skill Cluster","openapi":"PATCH /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/patch-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Delete Skill Cluster","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"List Skills","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id-skills"},{"title":"Add Skill","openapi":"PUT /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/put-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"},{"title":"Remove Skill","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"}]},{"group":"Skills","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkills/overview"},{"title":"List Skills","openapi":"GET /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills"},{"title":"Create Skill","openapi":"POST /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/post-taxonomy-skills"},{"title":"List available Skill languages","openapi":"GET /taxonomy/skills/languages","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-languages"},{"title":"Get Skill","openapi":"GET /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-skill-id"},{"title":"Delete Skill","openapi":"DELETE /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/delete-taxonomy-skills-skill-id"},{"title":"Update Skill","openapi":"PATCH /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/patch-taxonomy-skills-skill-id"}]},{"group":"Taxonomy operations","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/Taxonomy/overview"},{"title":"Get Taxonomy changes","openapi":"GET /taxonomy/changes","deprecated":true,"href":"/reference/latest/Taxonomy/Taxonomy/get-taxonomy-changes"},{"title":"Apply Taxonomy changes","openapi":"POST /taxonomy/apply","href":"/reference/latest/Taxonomy/Taxonomy/post-taxonomy-apply"}]}]},{"group":"Employees","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeCRUD/overview"},{"title":"List Employees","openapi":"GET /employees","href":"/reference/latest/Employees/EmployeeCRUD/get-employees"},{"title":"Create Employee","openapi":"POST /employees","href":"/reference/latest/Employees/EmployeeCRUD/post-employees"},{"title":"Get Employee","openapi":"GET /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/get-employees-external-id"},{"title":"Update Employee","openapi":"PATCH /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/patch-employees-external-id"},{"title":"Delete Employee","openapi":"DELETE /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/delete-employees-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for an Employee","openapi":"GET /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/get-employees-external-id-skill-profile"},{"title":"Partially update an Employee Skill Profile with feedback","openapi":"PATCH /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/patch-employees-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeMetrics/overview"},{"title":"Get Employee count","openapi":"GET /employees/metrics/count","href":"/reference/latest/Employees/EmployeeMetrics/get-employees-metrics-count"},{"title":"Get Employee adoption metrics","openapi":"POST /employees/metrics/adoption_metrics","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-metrics-adoption-metrics"},{"title":"Get the employability metric using filters and weights","openapi":"POST /employees/{external_id}/metrics/employability","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-external-id-metrics-employability"}]},{"group":"Search","pages":[{"title":"Search for Employees based on free text","openapi":"POST /employees/search","href":"/reference/latest/Employees/EmployeeSearch/post-employees-search"}]},{"group":"Skill Events","pages":[{"title":"Overview","href":"/reference/latest/Employees/SkillEvents/overview"},{"title":"List the Skill Event types","openapi":"GET /skill_event_types","href":"/reference/latest/Employees/SkillEvents/get-skill-event-types"},{"title":"List Skill Events of an Employee by event type","openapi":"GET /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events"},{"title":"Create a new Skill Event for an Employee","openapi":"POST /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/post-employees-employee-external-id-skill-events"},{"title":"Get a Skill Event","openapi":"GET /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Update Skill Event","openapi":"PATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/patch-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Delete Skill Event","openapi":"DELETE /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/delete-employees-employee-external-id-skill-events-skill-event-external-id"}]},{"group":"Interactions","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeInteractions/overview"},{"title":"List Interactions of an Employee","openapi":"GET /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions"},{"title":"Create a new Interaction for an Employee","openapi":"POST /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/post-employees-employee-external-id-interactions"},{"title":"Get Employee Interaction","openapi":"GET /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions-interaction-external-id"},{"title":"Delete Employee Interaction","openapi":"DELETE /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/delete-employees-employee-external-id-interactions-interaction-external-id"}]},{"group":"Suggestions","pages":[{"title":"Get suggestions, validated and rejected Skills for selected Employees","openapi":"POST /employees/suggestions/skills","href":"/reference/latest/Employees/EmployeeSuggestions/post-employees-suggestions-skills"}]}]},{"group":"Job Families","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Job Families/JobFamilyCRUD/overview"},{"title":"List Job Families","openapi":"GET /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families"},{"title":"Create Job Family","openapi":"POST /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/post-job-architecture-job-families"},{"title":"Get Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families-job-family-external-id"},{"title":"Update Job Family","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/patch-job-architecture-job-families-job-family-external-id"},{"title":"Delete Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/delete-job-architecture-job-families-job-family-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Partially update a Job Family Skill Profile with feedback","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/patch-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-suggested-skill-profile"}]},{"group":"Job Family Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Job Families/Job Family Profile Data/overview"},{"title":"List Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Create Job Family Profile Data for a Job Family","openapi":"POST /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/post-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Get Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","description":"Get a single Job Family Profile Data item for a Job Family.","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Update Job Family Profile Data","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Delete Job Family Profile Data for a Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","description":"Remove Job Family Profile Data from the system. This step deletes all information linked exclusively to this Job Family Profile Data. It is not possible to delete Skill Profile Feedback via this endpoint, use the Job Family Profile Data Patch endpoint instead.\n\n**Note:** It may take some time for these changes to be reflected in the Job Family's final Skill Profile, since they are processed asynchronously.","href":"/reference/latest/Job Families/Job Family Profile Data/delete-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"}]}]},{"group":"Jobs","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobCRUD/overview"},{"title":"List Jobs","openapi":"GET /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs"},{"title":"Create Job","openapi":"POST /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/post-job-architecture-jobs"},{"title":"Get Job","openapi":"GET /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs-job-external-id"},{"title":"Update Job","openapi":"PATCH /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/patch-job-architecture-jobs-job-external-id"},{"title":"Delete Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/delete-job-architecture-jobs-job-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Partially update a Job Skill Profile with feedback","openapi":"PATCH /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/patch-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-suggested-skill-profile"},{"title":"Get the external market Skill Profiles of a Job.","openapi":"GET /job_architecture/jobs/{job_external_id}/market_skill_profiles","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-market-skill-profiles"}]},{"group":"Task Profile","pages":[{"title":"Get the Task Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/get-job-architecture-jobs-job-external-id-task-profile"},{"title":"Provide feedback on tasks in a Job's Task Profile","openapi":"PATCH /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/patch-job-architecture-jobs-job-external-id-task-profile"}]},{"group":"Job Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Jobs/Job Profile Data/overview"},{"title":"List Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data"},{"title":"Create Job Profile Data for a Job","openapi":"POST /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/post-job-architecture-jobs-job-external-id-profile-data"},{"title":"Get Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Update Job Profile Data","openapi":"PATCH /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/patch-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Delete Job Profile Data for a Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/delete-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"}]},{"group":"Issues","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobIssues/overview"},{"title":"List Job Issues","openapi":"GET /job_architecture/issues","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues"},{"title":"Job Issue Summary","openapi":"GET /job_architecture/issues/summary","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues-summary"}]},{"group":"Changes","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobChanges/overview"},{"title":"List Job Architecture Changes","openapi":"GET /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes"},{"title":"Bulk generate Job changes","openapi":"POST /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes"},{"title":"Bulk Update Job Architecture Changes","openapi":"PATCH /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes"},{"title":"Generate preview Job change","openapi":"POST /job_architecture/changes/preview","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes-preview"},{"title":"Get Job Architecture Changes Summary","openapi":"GET /job_architecture/changes/summary","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-summary"},{"title":"Get Job Architecture Change Details","openapi":"GET /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-change-id"},{"title":"Update Job Architecture Change","openapi":"PATCH /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes-change-id"}]},{"group":"Suggestions","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobSuggestions/overview"},{"title":"Bulk Accept or Reject Job Architecture Suggestions","openapi":"POST /job_architecture/suggestions/interactions","href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobMetrics/overview"},{"title":"Get Job adoption metrics","openapi":"POST /job_architecture/jobs/metrics/adoption_metrics","href":"/reference/latest/Jobs/JobMetrics/post-job-architecture-jobs-metrics-adoption-metrics"}]}]},{"group":"Peer Groups","pages":[{"group":"Peer Groups","pages":[{"title":"Overview","href":"/reference/latest/Peer Groups/PeerGroups/overview"},{"title":"List Peer Groups","openapi":"GET /job_architecture/peer_groups","href":"/reference/latest/Peer Groups/PeerGroups/get-job-architecture-peer-groups"}]}]},{"group":"Vacancies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyCRUD/overview"},{"title":"List Vacancies","openapi":"GET /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies"},{"title":"Create Vacancy","openapi":"POST /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/post-vacancies"},{"title":"Get Vacancy","openapi":"GET /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies-external-id"},{"title":"Update Vacancy","openapi":"PATCH /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/patch-vacancies-external-id"},{"title":"Delete Vacancy","openapi":"DELETE /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/delete-vacancies-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Vacancy","openapi":"GET /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/get-vacancies-external-id-skill-profile"},{"title":"Update a Vacancy Skill Profile with feedback","openapi":"PATCH /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/patch-vacancies-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyMetrics/overview"},{"title":"Get Vacancy count","openapi":"GET /vacancies/metrics/count","href":"/reference/latest/Vacancies/VacancyMetrics/get-vacancies-metrics-count"}]},{"group":"Search","pages":[{"title":"Search for Vacancies based on free text","openapi":"POST /vacanies/search","href":"/reference/latest/Vacancies/VacancySearch/post-vacanies-search"}]}]},{"group":"Courses","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseCRUD/overview"},{"title":"List Courses","openapi":"GET /courses","href":"/reference/latest/Courses/CourseCRUD/get-courses"},{"title":"Create Course","openapi":"POST /courses","href":"/reference/latest/Courses/CourseCRUD/post-courses"},{"title":"Get Course","openapi":"GET /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/get-courses-external-id"},{"title":"Update Course","openapi":"PATCH /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/patch-courses-external-id"},{"title":"Delete Course","openapi":"DELETE /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/delete-courses-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Course","openapi":"GET /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/get-courses-external-id-skill-profile"},{"title":"Update a Course Skill Profile with feedback","openapi":"PATCH /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/patch-courses-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseMetrics/overview"},{"title":"Get Course count","openapi":"GET /courses/metrics/count","href":"/reference/latest/Courses/CourseMetrics/get-courses-metrics-count"}]}]},{"group":"Skill Clusters","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterCRUD/overview"},{"title":"List Skill Clusters","openapi":"GET /skill_clusters","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /skill_clusters/{external_id}","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Skill Cluster","openapi":"GET /skill_clusters/{external_id}/skill_profile","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterProfile/get-skill-clusters-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterMetrics/overview"},{"title":"Get Skill Cluster count","openapi":"GET /skill_clusters/metrics/count","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterMetrics/get-skill-clusters-metrics-count"}]}]},{"group":"External Companies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/External Companies/CompanyCRUD/overview"},{"title":"List External Companies","openapi":"GET /companies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies"},{"title":"Create External Company","openapi":"POST /companies","href":"/reference/latest/External Companies/CompanyCRUD/post-companies"},{"title":"Get External Company","openapi":"GET /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id"},{"title":"Update External Company","openapi":"PATCH /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/patch-companies-external-id"},{"title":"Delete External Company","openapi":"DELETE /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/delete-companies-external-id"},{"title":"List External Company's Vacancies","openapi":"GET /companies/{external_id}/vacancies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id-vacancies"},{"title":"Upload and add desired functions","openapi":"POST /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-desired-functions"},{"title":"Replace existing desired functions","openapi":"PUT /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-desired-functions"},{"title":"Profile External Company's hiring activity with NACE-codes","openapi":"POST /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-nace"},{"title":"Reprofile External Company's hiring activity with NACE-codes","openapi":"PUT /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-nace"}]},{"group":"Search","pages":[{"title":"Search for External Companies based on free text","openapi":"POST /companies/search","href":"/reference/latest/External Companies/CompanySearch/post-companies-search"}]}]},{"group":"Skills","pages":[{"group":"Skill Search","pages":[{"title":"Search for Skills similar to the text provided","openapi":"GET /skills/search","href":"/reference/latest/Skills/Skill Search/get-skills-search"}]},{"group":"Skill Gaps","pages":[{"title":"Get the Skillgap between an Employee and a Vacancy","openapi":"GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/gap","href":"/reference/latest/Skills/Skill Gaps/get-employees-employee-external-id-vacancies-vacancy-external-id-gap"}]},{"group":"Skill Lookup","pages":[{"title":"Look up the Skill IDs of a list of Skill names","openapi":"POST /skills/lookup","href":"/reference/latest/Skills/Skill Lookup/post-skills-lookup"}]}]},{"group":"Tasks","pages":[{"group":"CRUD","pages":[{"title":"Create a custom task","openapi":"POST /tasks","href":"/reference/latest/Tasks/TasksCRUD/post-tasks"},{"title":"Get a Task","openapi":"GET /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/get-tasks-task-id"},{"title":"Delete a custom Task","openapi":"DELETE /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/delete-tasks-task-id"}]},{"group":"Task search","pages":[{"title":"Search Tasks","openapi":"GET /tasks/search","href":"/reference/latest/Tasks/TaskSearch/get-tasks-search"}]},{"group":"Task validation","pages":[{"title":"Validate Tasks","openapi":"POST /tasks/validate","href":"/reference/latest/Tasks/TaskValidation/post-tasks-validate"}]}]},{"group":"Organisational Structure","pages":[{"group":"Organisational Units","pages":[{"title":"Overview","href":"/reference/latest/Organisational Structure/OrganisationalUnits/overview"},{"title":"List Organisational Units","openapi":"GET /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units"},{"title":"Create Organisational Unit","openapi":"POST /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/post-organisational-units"},{"title":"Get Organisational Unit","openapi":"GET /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units-external-id"},{"title":"Update Organisational Unit","openapi":"PATCH /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/patch-organisational-units-external-id"},{"title":"Delete Organisational Unit","openapi":"DELETE /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/delete-organisational-units-external-id"}]}]},{"group":"Custom Properties","pages":[{"group":"Definitions","pages":[{"title":"Overview","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/overview"},{"title":"Get all Custom Property Definitions","openapi":"GET /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties"},{"title":"Create a Custom Property Definition","openapi":"POST /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/post-entity-type-custom-properties"},{"title":"Get Custom Property Definition","openapi":"GET /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties-property-name"},{"title":"Rename a Custom Property Definition","openapi":"PATCH /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/patch-entity-type-custom-properties-property-name"},{"title":"Remove a Custom Property Definition from the system","openapi":"DELETE /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/delete-entity-type-custom-properties-property-name"}]},{"group":"Properties","pages":[{"title":"Retrieve all Custom Properties of an entity","openapi":"GET /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/get-entity-type-entity-type-external-id-custom-properties"},{"title":"Update Custom Properties of an entity","openapi":"PATCH /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/patch-entity-type-entity-type-external-id-custom-properties"},{"title":"Replace Custom Properties of an entity","openapi":"PUT /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/put-entity-type-entity-type-external-id-custom-properties"},{"title":"Delete all Custom Properties of an entity","openapi":"DELETE /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/delete-entity-type-entity-type-external-id-custom-properties"}]}]},{"group":"Matchmaking","pages":[{"group":"Vacancy Matching","pages":[{"title":"Overview","href":"/reference/latest/Matchmaking/Vacancy Matching/overview"},{"title":"Get the top matching Vacancies for an Employee","openapi":"POST /employees/{external_id}/matching_vacancies","href":"/reference/latest/Matchmaking/Vacancy Matching/post-employees-external-id-matching-vacancies"},{"title":"Get the match score between an Employee and a Vacancy","openapi":"GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match","href":"/reference/latest/Matchmaking/Vacancy Matching/get-employees-employee-external-id-vacancies-vacancy-external-id-match"},{"title":"Get the top matching Employees for a Vacancy.","openapi":"POST /vacancies/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Vacancy Matching/post-vacancies-external-id-matching-employees"}]},{"group":"Course Recommendations","pages":[{"title":"Get Course recommendations to improve the Skill Profile of an Employee","openapi":"GET /employees/{employee_external_id}/recommended_courses","deprecated":true,"href":"/reference/latest/Matchmaking/Course Recommendations/get-employees-employee-external-id-recommended-courses"},{"title":"Get Course recommendations to improve the Skill Profile of an Employee","openapi":"POST /employees/{employee_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-recommended-courses"},{"title":"Get Course recommendations to bridge the Skill gap between an Employee and a Vacancy","openapi":"POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-vacancies-vacancy-external-id-recommended-courses"},{"title":"Get Course recommendations to bridge the Skill gap between an Employee and a Job","openapi":"POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-jobs-job-external-id-recommended-courses"}]},{"group":"External Company Matching","pages":[{"title":"Find the best Employees for a given External Company","openapi":"POST /companies/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/External Company Matching/post-companies-external-id-matching-employees"},{"title":"Find the best External Companies for a given Employee","openapi":"POST /employees/{external_id}/matching_companies","href":"/reference/latest/Matchmaking/External Company Matching/post-employees-external-id-matching-companies"}]},{"group":"Job Matching","pages":[{"title":"Get the match score between an Employee and their assigned position","openapi":"GET /employees/{employee_external_id}/match_assigned_position","href":"/reference/latest/Matchmaking/Job Matching/get-employees-employee-external-id-match-assigned-position"},{"title":"Get the match scores between a Job and its market Skill Profiles","openapi":"GET /job_architecture/jobs/{external_id}/market_alignment","href":"/reference/latest/Matchmaking/Job Matching/get-job-architecture-jobs-external-id-market-alignment"},{"title":"Get the match score between an Employee and a Job","openapi":"GET /employees/{employee_external_id}/jobs/{job_external_id}/match","href":"/reference/latest/Matchmaking/Job Matching/get-employees-employee-external-id-jobs-job-external-id-match"},{"title":"Get the top matching Jobs for an Employee","openapi":"POST /employees/{external_id}/matching_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-employees-external-id-matching-jobs"},{"title":"Get the top matching Employees for a Job","openapi":"POST /job_architecture/jobs/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-employees"},{"title":"Get the most relevant jobs from which can be hired for the given job.","openapi":"POST /job_architecture/jobs/{external_id}/matching_source_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-source-jobs"},{"title":"Get the most relevant jobs to which can be moved from the given job.","openapi":"POST /job_architecture/jobs/{external_id}/matching_target_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-target-jobs"},{"title":"Get the task-based match score between two Jobs","openapi":"GET /job_architecture/jobs/{job_external_id}/jobs/{other_job_external_id}/task_match","href":"/reference/latest/Matchmaking/Job Matching/get-job-architecture-jobs-job-external-id-jobs-other-job-external-id-task-match"},{"title":"Get the most task-relevant Jobs to the given Job","openapi":"POST /job_architecture/jobs/{job_external_id}/matching_jobs_by_tasks","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-job-external-id-matching-jobs-by-tasks"}]},{"group":"Job Family Matching","pages":[{"title":"Get the match score between an Employee and a Job Family","openapi":"GET /employees/{employee_external_id}/job_families/{job_family_external_id}/match","href":"/reference/latest/Matchmaking/Job Family Matching/get-employees-employee-external-id-job-families-job-family-external-id-match"},{"title":"Get the top matching Job Families for an Employee","openapi":"POST /employees/{external_id}/matching_job_families","href":"/reference/latest/Matchmaking/Job Family Matching/post-employees-external-id-matching-job-families"},{"title":"Get the top matching Employees for a Job Family","openapi":"POST /job_architecture/job_families/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Job Family Matching/post-job-architecture-job-families-external-id-matching-employees"},{"title":"Get the task-based match score between two Job Families","openapi":"GET /job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match","href":"/reference/latest/Matchmaking/Job Family Matching/get-job-architecture-job-families-job-family-external-id-job-families-other-job-family-external-id-task-match"},{"title":"Get the most task-relevant Job Families to the given Job Family","openapi":"POST /job_architecture/job_families/{job_family_external_id}/matching_job_families_by_tasks","href":"/reference/latest/Matchmaking/Job Family Matching/post-job-architecture-job-families-job-family-external-id-matching-job-families-by-tasks"}]},{"group":"Task Matching","pages":[{"title":"Get the task-based match score between two task sets","openapi":"POST /tasks/matching","href":"/reference/latest/Matchmaking/Task Matching/post-tasks-matching"}]},{"group":"Match Feedback","pages":[{"title":"Give feedback on the match between an Employee and a Vacancy","openapi":"POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/post-employees-employee-external-id-vacancies-vacancy-external-id-match-feedback"},{"title":"Delete feedback on the match between an Employee and a Vacancy","openapi":"DELETE /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/delete-employees-employee-external-id-vacancies-vacancy-external-id-match-feedback"},{"title":"Give feedback on the recommendation of a Course for an Employee.","openapi":"POST /employees/{employee_external_id}/courses/{course_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/post-employees-employee-external-id-courses-course-external-id-match-feedback"},{"title":"Delete feedback on the match between an Employee and a Course","openapi":"DELETE /employees/{employee_external_id}/courses/{course_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/delete-employees-employee-external-id-courses-course-external-id-match-feedback"}]},{"group":"Export Matching","pages":[{"title":"Export top matching Vacancies for Employees.","openapi":"POST /export/employees/matching_vacancies","href":"/reference/latest/Matchmaking/Export Matching/post-export-employees-matching-vacancies"},{"title":"Export top matching Employees for Vacancies.","openapi":"POST /export/vacancies/matching_employees","href":"/reference/latest/Matchmaking/Export Matching/post-export-vacancies-matching-employees"},{"title":"Export top matching Jobs for Employees.","openapi":"POST /export/employees/matching_jobs","href":"/reference/latest/Matchmaking/Export Matching/post-export-employees-matching-jobs"},{"title":"Export top matching Employees for Jobs.","openapi":"POST /job_architecture/export/jobs/matching_employees","href":"/reference/latest/Matchmaking/Export Matching/post-job-architecture-export-jobs-matching-employees"}]}]},{"group":"Matching Configuration","pages":[{"title":"Filters","href":"/reference/latest/Matching Configuration/Filters/Filters"}]},{"group":"Export","pages":[{"group":"Employees","pages":[{"title":"Overview","href":"/reference/latest/Export/ExportEmployeesSkillClusters/overview"},{"title":"Export Employee Skill Clusters data.","openapi":"POST /export/employees/skill_clusters","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-skill-clusters"},{"title":"Export Employee Skill Profile data","openapi":"POST /export/employees/skill_profiles","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-skill-profiles"},{"title":"Export Employee Task Profile data","openapi":"POST /export/employees/task_profiles","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-task-profiles"},{"title":"Export Employee AI Goals","openapi":"POST /export/employees/ai_goals","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-ai-goals"}]},{"group":"Job Architecture","pages":[{"title":"Overview","href":"/reference/latest/Export/JobArchitectureExport/overview"},{"title":"Export Job Architecture hierarchy","openapi":"GET /job_architecture/export","href":"/reference/latest/Export/JobArchitectureExport/get-job-architecture-export"},{"title":"Export Job Skill Clusters data.","openapi":"POST /job_architecture/export/jobs/skill_clusters","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-skill-clusters"},{"title":"Export Job Skill Profiles.","openapi":"POST /job_architecture/export/jobs/skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-skill-profiles"},{"title":"Export Job Task Profile data","openapi":"POST /job_architecture/export/jobs/task_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-task-profiles"},{"title":"Export Job Suggested Skill Profiles.","openapi":"POST /job_architecture/export/jobs/suggested_skill_profiles","deprecated":true,"href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-suggested-skill-profiles"},{"title":"Export Job external market Skill Profiles.","openapi":"POST /job_architecture/export/jobs/market_skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-market-skill-profiles"},{"title":"Export Job Skill market alignment.","openapi":"POST /job_architecture/export/jobs/market_alignment","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-market-alignment"},{"title":"Export Job Family Skill Profiles.","openapi":"POST /job_architecture/export/job_families/skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-job-families-skill-profiles"},{"title":"Export Job Family Suggested Skill Profiles.","openapi":"POST /job_architecture/export/job_families/suggested_skill_profiles","deprecated":true,"href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-job-families-suggested-skill-profiles"},{"title":"Export Job Architecture Suggestions","openapi":"POST /job_architecture/export/suggestions","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-suggestions"}]},{"group":"Courses","pages":[{"title":"Overview","href":"/reference/latest/Export/CoursesExportSkillProfiles/overview"},{"title":"Export Course Skill Profiles.","openapi":"POST /export/courses/skill_profiles","href":"/reference/latest/Export/CoursesExportSkillProfiles/post-export-courses-skill-profiles"}]},{"group":"Vacancies","pages":[{"title":"Overview","href":"/reference/latest/Export/VacanciesExportSkillProfiles/overview"},{"title":"Export Vacancy Skill Profiles.","openapi":"POST /export/vacancies/skill_profiles","href":"/reference/latest/Export/VacanciesExportSkillProfiles/post-export-vacancies-skill-profiles"}]},{"group":"Employees Assigned Position","pages":[{"title":"Get the match scores between Employees and their assigned position in bulk.","openapi":"POST /export/employees/match_assigned_position","href":"/reference/latest/Export/ExportEmployeeAssignedPosition/post-export-employees-match-assigned-position"}]},{"group":"Taxonomy","pages":[{"title":"Overview","href":"/reference/latest/Export/TaxonomyExport/overview"},{"title":"Export Skill info","openapi":"POST /export/skills","href":"/reference/latest/Export/TaxonomyExport/post-export-skills"},{"title":"Get Taxonomy export","openapi":"GET /taxonomy/export","href":"/reference/latest/Export/TaxonomyExport/get-taxonomy-export"},{"title":"Export Taxonomy changes","openapi":"POST /taxonomy/changes","href":"/reference/latest/Export/TaxonomyExport/post-taxonomy-changes"}]},{"group":"Tasks","pages":[{"title":"Export Tasks","openapi":"POST /export/tasks","href":"/reference/latest/Export/ExportTasks/post-export-tasks"}]},{"group":"Organisational Structure","pages":[{"title":"Export Organisational Structure hierarchy","openapi":"GET /organisational_units/export","href":"/reference/latest/Export/OrganisationalStructureExport/get-organisational-units-export"}]}]},{"group":"Reports","pages":[{"group":"General Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/General Reports/overview"},{"title":"Get entity counts","openapi":"GET /reports/counts","href":"/reference/latest/Reports/General Reports/get-reports-counts"}]},{"group":"Employee Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/Employee Reports/overview"},{"title":"Get the Skill Cluster adoption report","openapi":"POST /reports/employees/skill_cluster_adoption","href":"/reference/latest/Reports/Employee Reports/post-reports-employees-skill-cluster-adoption"},{"title":"Get Employees key metrics","openapi":"GET /reports/employees/key_metrics","href":"/reference/latest/Reports/Employee Reports/get-reports-employees-key-metrics"}]},{"title":"Vacancy Reports","href":"/reference/latest/Reports/Vacancy Reports/Vacancy Reports"},{"group":"Job Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/Job Reports/overview"},{"title":"Get Jobs key metrics","openapi":"GET /reports/jobs/key_metrics","href":"/reference/latest/Reports/Job Reports/get-reports-jobs-key-metrics"}]},{"group":"Data Maturity Scan","pages":[{"title":"Overview","href":"/reference/latest/Reports/Data Maturity Scan/overview"},{"title":"Get Employee Quality Matrix","openapi":"POST /reports/data_maturity_scan/employee_quality_matrix","href":"/reference/latest/Reports/Data Maturity Scan/post-reports-data-maturity-scan-employee-quality-matrix"},{"title":"Get Job Quality Matrix","openapi":"POST /reports/data_maturity_scan/job_quality_matrix","href":"/reference/latest/Reports/Data Maturity Scan/post-reports-data-maturity-scan-job-quality-matrix"},{"title":"Get Employee Maturity Overview","openapi":"GET /reports/data_maturity_scan/employee_maturity_overview","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-employee-maturity-overview"},{"title":"Get Job Maturity Overview","openapi":"GET /reports/data_maturity_scan/job_maturity_overview","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-job-maturity-overview"},{"title":"Get Data Improvement Actions","openapi":"GET /reports/data_maturity_scan/data_improvement_actions","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-data-improvement-actions"}]}]},{"group":"Version","pages":[{"group":"Version","pages":[{"title":"Get API Version","openapi":"GET /version","href":"/reference/latest/Version/Version/get-version"}]}]}]},{"tab":"Tutorials","pages":[{"title":"Tutorials","href":"/tutorials"}]},{"tab":"Technology","pages":[{"title":"Technology","href":"/technology"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"Open Source","pages":[{"title":"Open Source","href":"/open-source"}]}]}]},"title":"Update Job Family Profile Data - TechWolf Developer Portal","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWyt
[...]
